Subject: RE: DLLTOOL documentation?
From: [email-masked] ("Gary Albert")

27 Mar 1997 09:27:55 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Comments: Authenticated sender is <[email-masked]>
Original-To: [email-masked]
In-Reply-To: <01BC39F0.2B3A3320@gbird0>
X-Mailer: Pegasus Mail for Windows (v2.52)
Original-Sender: [email-masked]

> Bruce James[SMTP:[email-masked]] wrote:
> 
> 2. What's the Gnu equivalent of Borland's IMPLIB for generating an import
> library from a DLL?
> 

I have found that dlltool can do the equivalent of IMPLIB. Doing 
"dlltool --help" gives just enough info to figure it out. All I've 
had to do is:

    dlltool --output-lib somedll.a --dllname somedll.dll

This will create the ".a" file for linking with ld. It can take quite 
a while to run but it seems to work fine. I've used this method to 
actually build a lib for X11 from an X11.dll file I found on the net 
somewhere and it worked great.

___________________________________________________________

[email-masked]
Gary Albert
Flight Dynamics
(503) 684-5384
___________________________________________________________
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".